Foreman - Bug #29027

Session id out of range error
02/17/2020 11:38 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondrej Ezr
Category: Users, Roles and Permissions
Target version:
Difficulty: medium Fixed in Releases: 2.1.0
Triaged: Yes Found in Releases:
Bugzilla link: 1641223 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7441,
https://github.com/theforeman/foreman/p
ull/7448,
https://github.com/theforeman/foreman/p
ull/7457
Description

If the users have a lot of API requests the session can get to the upper integer limit.
Easy solution is to get the id on bigint and for postgres start to cycle.

Related issues:

Related to Foreman Maintain - Bug #26009: Clear session count to be able to ... Resolved

Associated revisions

Revision e0589979 - 02/18/2020 12:59 PM - Ondiej Ezr

Fixes #29027 - session_id out of range error

Revision 06770be2 - 02/19/2020 11:28 AM - Ondiej Ezr

Refs #29027 - session out of range adhere pg versions

Revision fe7072a9 - 02/22/2020 12:22 PM - Kamil Szubrycht

Refs #29027 - replace server_version with server_version_num

History

#1 - 02/17/2020 11:38 AM - Ondrej Ezr
- Related to Bug #26009: Clear session count to be able to login again added

#2 - 02/17/2020 11:45 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7441 added

#3 - 02/18/2020 01:00 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 02/18/2020 01:01 PM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset e05899794d039fc508396852568b4c081df492¢6.

#5 - 02/18/2020 02:58 PM - Ondfiej Ezr
- Bugzilla link set to 1641223
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e05899794d039fc508396852568b4c081df492c6

#6 - 02/19/2020 10:04 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7448 added

#7 - 02/21/2020 04:54 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7457 added

#8 - 07/15/2020 01:30 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
